package ie.ncl.msg;

/*************************************************
 *
 * (C)  2001   N C L   Technologies Limited.
 * All rights reserved.
 *
 * This software cannot be sold or distributed via
 * any medium, electronic or otherwise, without prior
 * written permission from NCL Technologiies Ltd.
 *
 * $Author: eoin $
 *
 * $Id: MockConnection.java,v 1.2 2004-01-29 23:06:47 eoin Exp $
 *
 * $Revision: 1.2 $
 *
 * $Date: 2004-01-29 23:06:47 $
 *
 * $Header: /usr/local/cvs/swiftnote/src/docs/examples/java/ie/ncl/msg/MockConnection.java,v 1.2 2004-01-29 23:06:47 eoin Exp $
 *
 * Log at end of file.
 */

import org.apache.log4j.Logger;

import java.util.Properties;

/**
 * The MockConnection class is a test Sender and Receiver class.
 * Messages sent on the send() are logged
 * and calls to receive will receive a simple Text Message
 */

public class MockConnection implements Connection, Sender, Receiver
{
    static Logger logger = Logger.getLogger(MockConnection.class);

    public void send(Message message, SenderListener listener) throws MessageException, ConnectionException
    {
        logger.debug("send()");
        logger.debug("Message destination - "+message.getDestination().toString());
        logger.debug("Message type        - "+message.getClass().getName());
        listener.sent(this, null, message);
    }

    public void receive(ReceiverListener listener) throws ConnectionException
    {
    }

    public void setReceiverListener(ReceiverListener listener) throws ConnectionException
    {
        logger.debug("setReceiverListener()");
        TextMessage message = new TextMessage(new Address("00352801234567"),"Hello");
        listener.received(this, null, message);
    }

    public void close()
    {
        logger.debug("close() called");
    }

    public void connect() throws ConnectionException
    {
        logger.debug("connect() called");
    }

    public void shutdown()
    {
    }

    public Attributes getTypeDefaults(String type)
    {
        return null;
    }

    public void putTypeDefaults(String type, Attributes props)
    {
    }

    public void setErrorListener(ErrorListener listener)
    {
    }

    public void init(Properties properties) throws ConnectionException
    {
    }

    public void init(Properties properties, String prefix) throws ConnectionException
    {
    }

    public boolean connected()
    {
        return false;
    }

    public int getConnectionStatus()
    {
        return 0;
    }


    public void acknowledge(Message m, boolean success) throws MessageException, ConnectionException
    {
    }
}
