package ie.ncl.msg.example;

import ie.ncl.msg.Factory;
import ie.ncl.msg.Message;
import ie.ncl.msg.Receiver;
import ie.ncl.msg.ReceiverListener;

// Step 1 implements ReceiverListener
public class AsynchronousReceiveExample implements ReceiverListener
{
    // Step 2 the receiver listener (handler/callback) method
    public boolean received(Receiver r, Exception e, Message m)
    {
        if (e != null)
            System.out.println("Error receiving - " + e);
        else
            System.out.println("Successfully received " +
                    "message to " + m.getDestination());
        return true;
    }

    public AsynchronousReceiveExample() throws Exception
    {
        // Step 3. Load object
        Receiver receiver = Factory.getReceiver("mockConnection");

        // Step 4. Setup callback listener
        receiver.setReceiverListener(this);

        // Step 5. Connect
        receiver.connect();

        // Step 6. Close connection if finished
        Thread.sleep(1000);
        receiver.close();
    }

    public static void main(String args[])
    {
        try
        {
            new AsynchronousReceiveExample();
        } catch (Exception e)
        {
            e.printStackTrace(System.out);
        }
    }
}
