package ie.ncl.msg.example;

import ie.ncl.msg.*;

// Step 1. Implement SenderListener
public class AsynchronousSendExample implements SenderListener
{
    // Step 2. implement the message sent handler method
    public void sent(Sender sender, Exception ex, Message m)
    {
        if(ex!=null)
            System.out.println("Error sending message to "+m.getDestination());
        else
            System.out.println("Successfully sent message to "+m.getDestination());
    }

    public AsynchronousSendExample() throws ConnectionException, MessageException
    {
        // Step 3. Load sender object
        Sender sender = Factory.getSender("mockConnection");

        // Step 4. Connect
        sender.connect();

        // Step 5. Construct message
        Address destinationAddress = new Address("+353801234567");
        String messageText = "Hello World";
        TextMessage message = new TextMessage(destinationAddress,messageText);

        // Step 6. Send message
        sender.send(message, this);

        // Step 7. Close connection if finished
        sender.close();
    }

    public static void main(String[] args)
    {
        try
        {
            new AsynchronousSendExample();
        } catch (Exception e)
        {
            e.printStackTrace();
        }
    }
}
