package ie.ncl.msg.example;

import ie.ncl.msg.*;

public class SynchronousReceiveExample
{
    public static void main(String[] args) throws ConnectionException, MessageException
    {
        // Step 1. Load Sender Object
        SyncReceiver syncReceiver =
                new SyncReceiver(Factory.getReceiver("mockConnection"));

        // Step 2. Open Receiver Connection
        syncReceiver.connect();

        // Step 3. Block until received
        Message receivedMessage = syncReceiver.receive();

        // Step 4. Make use of message
        Address sourceAddress = receivedMessage.getSource();
        System.out.println("Received message from " + sourceAddress);
        if (receivedMessage instanceof TextMessage)
            System.out.println(((TextMessage) receivedMessage).getText());
        else if (receivedMessage instanceof BinaryMessage)
            System.out.println("Binary data " +
                    ((BinaryMessage) receivedMessage).size() + " bytes");


        // Step 5. Close connection if finished
        syncReceiver.close();

    }
}
