package ie.ncl.msg.example;

import ie.ncl.msg.*;

public class SynchronousSendExample
{
    public static void main(String[] args)
            throws ConnectionException, MessageException
    {
        // Step 1. Load Sender Object
        SyncSender syncSender =
                new SyncSender(Factory.getSender("mockConnection"));

        // Step 2. Open Sender Connection
        syncSender.connect();

        // Step 3. Construct message
        Address destinationAddress = new Address("+353801234567");
        String messageText = "Hello World";
        Message message = new TextMessage(destinationAddress, messageText);

        // Step 4. Send message
        syncSender.send(message);

        // Step 5. Close connection if finished
        syncSender.close();
    }
}
