package ie.ncl.sms.nbs.example;

import ie.ncl.msg.*;
import ie.ncl.sms.nbs.*;

public class RingToneSendExample
{
    public static void main(String args[])
    {
        try
        {
            // Step 1. Connect to the SMS transport
            Sender sender = Factory.getSender("mockConnection");

            // Step 2. Create a narrow band socket
            NarrowBandSocket nbs = new NarrowBandSocket(sender);

            // Step 3. Create a new phrase and add notes to it
            Phrase p = new Phrase(Phrase.STYLE_NORMAL, 16);
            p.add(new Note(Note.C, 1));
            p.add(new Note(Note.D, 1));
            p.add(new Note(Note.E, 1));
            p.add(new Note(Note.F, 1));
            p.add(new Note(Note.G, 1));
            p.add(new Note(Note.A, 1));
            p.add(new Note(Note.B, 1));
            p.add(new Note(Note.C + 12, 1));

            // Step 4. Create a melody with the one phrase
            Melody melody = new Melody("Scales");
            melody.add(p);

            // Step 5. Send it
            Address to = new Address("0872352079");
            nbs.send(new RingToneMessage(to, melody));

            // Step 6. Close the connection
            nbs.close();
        } catch (Exception e)
        {
            System.out.println("An error occured - " + e);
            e.printStackTrace(System.out);
        }
    }
}