package ie.ncl.sms.nbs.example;

import ie.ncl.msg.Sender;
import ie.ncl.msg.Factory;
import ie.ncl.msg.Address;
import ie.ncl.sms.nbs.NarrowBandSocket;
import ie.ncl.sms.nbs.VEvent;
import ie.ncl.sms.nbs.VCalendar;
import ie.ncl.sms.nbs.VCalendarMessage;
import ie.ncl.util.bin.Bitmap;

import java.util.Date;

//TODO: this sends a vcal, not a logo
public class SendLogoExample
{
    public static void main(String args[])
    {
        try
        {
            // Step 1. Connect to the SMS transport
            Sender sender = Factory.getSender("mockConnection");

            // Step 2. Create a narrow band socket
            NarrowBandSocket nbs = new NarrowBandSocket(sender);

            // Step 3. Create a new Bitmap to use as the Logo
            
            VEvent event = new VEvent("Off on holiday!", new Date(), new Date());
            VCalendar cal = new VCalendar(event);

            // Step 4. Create a VCalendarMessage
            Address to = new Address("0872352079");
            VCalendarMessage callendarMessage = new VCalendarMessage(to, cal);

            // Step 5. Send the VCalendarMessage
            nbs.send(callendarMessage);

            // Step 6. Close the connection if finished
            nbs.close();
        } catch (Exception e)
        {
            System.out.println("An error occured - " + e);
            e.printStackTrace(System.out);
        }
    }
}
