package ie.ncl.sms.nbs.example;

import ie.ncl.sms.nbs.VCardMessage;
import ie.ncl.sms.nbs.VCard;
import ie.ncl.sms.nbs.NarrowBandSocket;
import ie.ncl.msg.Address;
import ie.ncl.msg.Factory;
import ie.ncl.msg.Sender;

public class SendVCardExample
{
    public static void main(String[] args)
    {
        try
        {
            // Step 1. Connect to the SMS transport
            Sender sender = Factory.getSender("mockConnection");

            // Step 2. Create a narrow band socket
            NarrowBandSocket nbs = new NarrowBandSocket(sender);

            // Step 3. Create a new business card
            VCard card = new VCard("Joe", "Bloggs", "0872352079");

            // Step 4. Create a VCardMessage
            Address to = new Address("0872352079");
            VCardMessage cardMessage = new VCardMessage(to, card);

            // Step 5. Send the VCardMessage
            nbs.send(cardMessage);

            // Step 6. Close the connection if finished
            nbs.close();

        } catch (Exception e)
        {
            System.out.println("An error occured - " + e);
            e.printStackTrace(System.out);
        }
    }
}
